petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMNetworkDistribute

Distributes the network and moves associated component data.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkDistribute(DM oldDM, PetscInt overlap,DM *distDM)

Collective

### Input Parameter

| oldDM | - the original DMNetwork object
| overlap | - The overlap of partitions, 0 is the default

### Output Parameter

distDM -the distributed DMNetwork object

### Notes

This routine should be called only when using multiple processors.

Distributes the network with a non-overlapping partitioning of the edges.

### See Also

DMNetworkCreate

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages